[nautilus-actions] Post release version bump



commit 08015d8563f3e3966145e744cecbd92908b261a8
Author: Pierre Wieser <pwieser trychlos org>
Date:   Fri Dec 3 13:20:34 2010 +0100

    Post release version bump

 ChangeLog                                |    4 ++
 configure.ac                             |    2 +-
 {src/test => tools}/check-po.sh          |    0
 {src/test => tools}/dbus-introspect.sh   |    0
 {src/test => tools}/init-dispose-diff.sh |    0
 tools/release-tarball.sh                 |   68 ++++++++++++++++++++++++++++++
 {src/test => tools}/time.sh              |    0
 7 files changed, 73 insertions(+), 1 deletions(-)
---
diff --git a/ChangeLog b/ChangeLog
index d0b2529..1837ce9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,9 @@
 2010-12-03 Pierre Wieser <pwieser trychlos org>
 
+	* configure.ac: Post release version bump.
+
+	Releasing 3.0.2
+
 	* NEWS:
 	* README: Update before release.
 
diff --git a/configure.ac b/configure.ac
index 75721c7..4a23ea2 100644
--- a/configure.ac
+++ b/configure.ac
@@ -28,7 +28,7 @@
 
 AC_PREREQ([2.53])
 
-AC_INIT([Nautilus-Actions],[3.0.2],[maintainer nautilus-actions org],,[http://www.nautilus-actions.org])
+AC_INIT([Nautilus-Actions],[3.1.0],[maintainer nautilus-actions org],,[http://www.nautilus-actions.org])
 
 AC_CANONICAL_TARGET
 
diff --git a/src/test/check-po.sh b/tools/check-po.sh
similarity index 100%
rename from src/test/check-po.sh
rename to tools/check-po.sh
diff --git a/src/test/dbus-introspect.sh b/tools/dbus-introspect.sh
similarity index 100%
rename from src/test/dbus-introspect.sh
rename to tools/dbus-introspect.sh
diff --git a/src/test/init-dispose-diff.sh b/tools/init-dispose-diff.sh
similarity index 100%
rename from src/test/init-dispose-diff.sh
rename to tools/init-dispose-diff.sh
diff --git a/tools/release-tarball.sh b/tools/release-tarball.sh
new file mode 100755
index 0000000..4c95622
--- /dev/null
+++ b/tools/release-tarball.sh
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# Release a new Nautilus-Actions version
+#
+# (E): 1. (opt) "stable" will update the latest.tar.gz links
+
+if [ ! -f Makefile ]; then
+	echo "Makefile not found, probably not the good current directory" 1>&2
+	exit 1
+fi
+
+thisdir=$(cd $(dirname $0); pwd)
+product="$(grep -e '^PACKAGE_TARNAME' Makefile | awk '{ print $3 }')"
+version="$(grep PACKAGE_VERSION Makefile | awk '{ print $3 }')"
+tarname="${product}-${version}.tar.gz"
+
+if [ ! -f "${tarname}" ]; then
+	echo "${tarname} not found, do you have 'make distcheck' ?" 1>&2
+	exit 1
+fi
+
+bstable=0
+if [ "x$1" = "xstable" ]; then
+	bstable=1
+fi
+
+echo -n "
+Releasing "
+[ ${bstable} -eq 1 ] && echo -n "stable" || echo -n "unstable"
+echo " ${tarname}"
+
+destdir="/net/data/tarballs/${product}"
+echo " 
+Installing in ${destdir}"
+mkdir -p "${destdir}"
+scp -v "${tarname}" "${destdir}/"
+sha1sum ${tarname} > ${tarname}.sha1sum
+if [ "${bstable}" -eq 1 ]; then
+	echo "Updating ${destdir}/latest.tar.gz"
+	(cd ${destdir}; rm -f latest.tar.gz; ln -s ${tarname} latest.tar.gz)
+fi
+
+echo " 
+Installing on gnome.org"
+scp "${tarname}" pwieser master gnome org:
+ssh pwieser master gnome org install-module -u ${tarname}
+
+echo " 
+Installing on kimsufi"
+destdir="/home/www/${product}/tarballs"
+scp "${tarname}" root kimsufi:${destdir}/
+if [ "x$1" = "xstable" ]; then
+	echo "Updating ${destdir}/latest.tar.gz"
+	ssh root kimsufi "cd ${destdir}; rm -f latest.tar.gz; ln -s ${tarname} latest.tar.gz"
+fi
+ssh root kimsufi chown maintainer:users /home/www/nautilus-actions/tarballs/*
+
+echo " 
+Tagging git"
+tag="$(echo ${product}-${version} | tr '[:lower:]' '[:upper:]' | sed -e 's/-/_/g' -e 's/\./_/g')"
+msg="Releasing $(grep PACKAGE_NAME Makefile | awk '{ print $3 }') ${version}"
+echo "git tag -s ${tag} -m ${msg}"
+git tag -s "${tag}" -m "${msg}"
+git pull --rebase && git push && git push --tags
+
+echo "
+Successfully ended. You may now send your mail.
+"
diff --git a/src/test/time.sh b/tools/time.sh
similarity index 100%
rename from src/test/time.sh
rename to tools/time.sh



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]